/**
 * Copyright (c) 2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.container.lifecycle;

import org.ow2.petals.microkernel.api.container.ComponentLifeCycle;

/**
 * This class is needed to have the Fractal interface providing the needed setForcedState.
 * 
 * It is not meant to be exposed, but to be casted in situations such as in InstallationServiceImpl where
 * ExtendedLifeCycleMBean is used.
 * 
 * TODO Find a better way to do it.
 * 
 * @author vnoel
 *
 */
public interface ExtendedComponentLifeCycle extends ComponentLifeCycle, ExtendedLifeCycleMBean {

}
